<template>
  <main column justify-center align-center>
    <v-img height="calc(100vh - 80px - 2.5rem * 1.5)" src="https://images.findyournextapartment.com/45f881f4-7fb1-4275-8403-7e528d25b3b3.jpg">
      <v-container class="fill-height align-center justify-center">
        <v-row
          class="translate-search mx-5 pa-3"
          style="background: #FFFFFFDF"
          align="center"
          align-content="center"
          justify="center"
        >
          <v-col class="text-center" cols="12">
            <app-banner />
          </v-col>
          <v-col cols="12" md="7" lg="8">
            <search-bar />
          </v-col>
          <v-col class="d-none d-md-block shrink">
            Or
          </v-col>
          <v-col class="d-none d-md-block" md="4" lg="3">
            <v-btn
              block
              outlined
              color="accent"
              height="40"
              tile
              @click.stop="dialog = !dialog"
            >
              <span class="accent--text font-weight-bold">
                Connect with an Expert
              </span>
            </v-btn>
            <v-dialog
              v-model="dialog"
              :overlay-opacity="0.5"
              content-class="width-auto"
              overlay-color="grey lighten-2"
            >
              <v-card class="d-flex">
                <v-img class="d-none d-md-flex" max-width="600px" :src="require('@/assets/img/cover.jpg')" />
                <app-connect-expert style="min-width: 600px" @finish="dialog = false" />
              </v-card>
            </v-dialog>
          </v-col>
        </v-row>
      </v-container>
      <template v-slot:placeholder>
        <v-row
          class="fill-height ma-0 translate-search"
          align="center"
          justify="center"
        >
          <v-progress-circular indeterminate size="400" width="4" color="accent" />
        </v-row>
      </template>
    </v-img>

    <app-cities />
    <app-features />

    <v-parallax dark src="https://images.findyournextapartment.com/b68fdf38-28db-44bc-a6d5-bfd52f4207a4.jpg">
      <v-row
        align="center"
        no-gutters
        justify="center"
        class="mx-n5"
        style="background: rgba(0, 0, 0, 0.5)"
      >
        <v-col class="text-center" cols="10">
          <h1 class="flexible-2 font-weight-medium mb-4">
            Find Your Next Apartment has a simple goal:<br>
            To make finding an apartment easy, and maybe even a little fun.
          </h1>
          <h4 class="flexible-3 font-weight-regular">
            We’re much more than a search site. We’re a team of helpful humans, here for you with the insight of a local, the care of a friend, and the service of a concierge. It’s the service you never knew you needed, but always wanted.
          </h4>
        </v-col>
      </v-row>
    </v-parallax>

    <app-how-work />
    <app-reviews />
  </main>
</template>

<script lang="ts">
import { defineComponent, onMounted, ref } from '@vue/composition-api'
import AppCities from '@/components/AppCities.vue'
import AppBanner from '@/components/AppBanner.vue'
import SearchBar from '@/components/SearchBar.vue'
import AppFeatures from '@/components/AppFeatures.vue'
import AppReviews from '@/components/AppReviews.vue'
import AppHowWork from '@/components/AppHowWork.vue'
import AppConnectExpert from '@/components/AppConnectExpert.vue'

export default defineComponent({
  components: {
    AppCities,
    SearchBar,
    AppBanner,
    AppFeatures,
    AppHowWork,
    AppReviews,
    AppConnectExpert
  },
  setup (_, context) {
    const isDesktop = ref(true)
    const dialog = ref(false)
    onMounted(() => {
      isDesktop.value = context.root.$vuetify.breakpoint?.mdAndUp ?? true
    })
    return { isDesktop, dialog }
  }
})
</script>

<style lang="scss">
@import '~vuetify/src/styles/styles.sass';

main > * {
  margin-bottom: 20px;
}
</style>
